lpadmin(8)

NOM
lpadmin - Configurer les imprimantes et classes d'imprimantes CUPS.

SYNOPSIS
lpadmin [ -E ] [-U identifiant ] [ -h serveur[:port] ] -d destination
lpadmin [ -E ] [-U identifiant ] [ -h serveur[:port] ] -p destination [ -R nom_par_défaut] option(s)
lpadmin [ -E ] [-U identifiant ] [ -h serveur[:port] ] -x destination

DESCRIPTION
lpadmin configure les imprimantes et les files d’attente de classes d'imprimantes fournies par CUPS. Il est également utilisé pour définir l'imprimante ou classe d'imprimante par défaut.

Lorsque l'option -E est indiquée avant les options -d, -p ou -x, la communication avec le serveur est chiffrée.

La première méthode d'utilisation de la commande (avec -d) définit l'imprimante ou la classe par défaut à destination. Les impressions futures demandées par les commandes lp(1) ou lpr(1) utiliseront cette destination sauf avis contraire de l'utilisateur par l'utilisation de la commande lpoptions(1).

La seconde forme de la commande (avec -p) configure l'imprimante ou la classe indiquée. Les options supplémentaires sont décrites ci-dessous.

La troisième forme de la commande (avec -x) supprime l'imprimante ou classe destination. Tous les travaux d'impression en attente sur cette destination sont supprimés, et les travaux en cours d'impression sont arrêtés.

OPTIONS
Les options suivantes sont reconnues pour la configuration d'une file d'impression :

-c classe
    Ajouter l'imprimante imprimante à la classe classe. Si la classe n'existe pas encore, elle est créée automatiquement.

-m modèle
    Sets a standard PPD file for the printer from the model directory or using one of the driver interfaces. Use the -m option with the lpinfo(8) command to get a list of supported models. The model "raw" clears any existing PPD file and the model "everywhere" queries the printer referred to by the specified IPP device-uri. Note: Models other than "everywhere" are deprecated and will not be supported in a future version of CUPS.

-o cupsIPPSupplies=true

-o cupsIPPSupplies=false
    Indiquer si les valeurs de niveau d’équipement IPP doivent être rapportées.

-o cupsSNMPSupplies=true

-o cupsSNMPSupplies=false
    Indiquer si les valeurs SNMP de niveau d’équipement (RFC 3805) doivent être rapportées.

-o job-k-limit=valeur
    Définir les quotas par utilisateur en kilo-octets. La valeur est un nombre entier de kilo-octets (valant 1 024 octets).

-o job-page-limit=valeur
    Définir le nombre maximal de pages disponibles par utilisateur. La valeur est un nombre entier de pages pouvant être imprimées. Les pages recto verso comptent pour deux pages.

-o job-quota-period=valeur
    Définir le temps maximal disponible par utilisateur. La valeur est un nombre entier de secondes. Une journée contient 86 400 secondes.

-o job-sheets-default=bannière

-o job-sheets-default=bannière,bannière
    Fixer la (les) page(s) de bannière par défaut pour les travaux d'impression.

-o nom=valeur
    Définir une option PPD pour l'imprimante. La liste des options PPD peut être obtenue en utilisant l'option -l de la commande lpoptions(1).

-o nom-default=valeur
    Définir au niveau du serveur une option par défaut pour la destination. Toute option pouvant être définie au moment de l'impression peut avoir une valeur par défaut, par exemple « -o number-up-default=2 » pour définir l'option « number-up » par défaut à la valeur 2.

-o port-monitor=nom
    Fixer le programme à utiliser pour les communications binaires lors de l'impression : « none », « bcp » ou « tbcp ». Le programme par défaut est « none ». Le port écouté indiqué doit être listé dans le fichier PPD de l'imprimante.

-o printer-error-policy=nom
    Sets the policy for errors such as printers that cannot be found or accessed, don't support the format being printed, fail during submission of the print data, or cause one or more filters to crash. The name must be one of "abort-job" (abort the job on error), "retry-job" (retry the job at a future time), "retry-current-job" (retry the current job immediately), or "stop-printer" (stop the printer on error). The default error policy is "stop-printer" for printers and "retry-current-job" for classes.

-o printer-is-shared=true

-o printer-is-shared=false
    Placer la destination dans l'état partagée/publique ou non partagée/non publique. Les destinations partagées/publiques sont annoncées officiellement par le serveur sur le réseau local, en fonction de la configuration pour les recherches de cupsd.conf, tandis que les imprimantes non partagées/non publiques ne sont pas annoncées. La valeur par défaut est « true ».

-o printer-op-policy=nom
    Fixer la politique des opérations IPP associée à l'imprimante. Le nom doit être défini dans cupsd.conf, dans une section « Policy ». Par défaut, la politique des opérations est « default ».

-R nom-default
    Supprimer les options données pour l'imprimante.

-r classe
    Supprimer l'imprimante de la classe. Si la classe d'imprimante devient vide, celle-ci est supprimée.

-u allow:{utilisateur|@groupe}{,utilisateur|,@groupe}*

-u deny:{utilisateur|@groupe}{,utilisateur|,@groupe}*

-u allow:all

-u deny:none
    Définir les accès au niveau utilisateur sur une imprimante. Les noms commençant par un « @ » sont interprétés comme des groupes UNIX. Les deux dernières expressions désactivent les contrôles d'accès au niveau utilisateur. REMARQUE : le superutilisateur ne possède par d’accès spécial. L’utilisation de « -u allow:toto,tartempion » autorise les utilisateurs « toto » et « tartempion » à accéder à l’imprimante, mais PAS le « superutilisateur ».

-v "uri_périphérique"
    Définir l'attribut uri_périphérique de la file d'impression. Utiliser l'option -v avec la commande lpinfo(8) pour obtenir une liste des URI de périphérique géré ainsi que leur schéma.

-D "info"
    Définir une description textuelle de la destination.

-E  When specified before the -d, -p, or -x options, forces the use of TLS encryption on the connection to the scheduler. Otherwise, enables the destination and accepts jobs; this is the same as running the cupsaccept(8) and cupsenable(8) programs on the destination.

-L "emplacement"
    Définir un emplacement textuel de l'imprimante.

DEPRECATED OPTIONS
The following lpadmin options are deprecated:

-i filename
    This option historically has been used to provide either a System V interface script or (as an implementation side-effect) a PPD file. Note: Interface scripts are not supported by CUPS. PPD files and printer drivers are deprecated and will not be supported in a future version of CUPS.

-P fichier_ppd
    Specifies a PostScript Printer Description (PPD) file to use with the printer. Note: PPD files and printer drivers are deprecated and will not be supported in a future version of CUPS.

CONFORMITÉ
Contrairement au système d'impression System V, les noms d’imprimante CUPS peuvent contenir n'importe quel caractère imprimable sauf ESPACE, TABULATION, « / » ou « # ». De même, les noms d'imprimante et de classe ne sont pas sensibles à la casse.

Finally, the CUPS version of lpadmin may ask the user for an access password depending on the printing system configuration. This differs from the System V version which requires the root user to execute this command.

NOTES
CUPS printer drivers and backends are deprecated and will no longer be supported in a future feature release of CUPS. Printers that do not support IPP can be supported using applications such as ippeveprinter(1).

La version CUPS de lpadmin ne reconnaît pas toutes les options de configuration disponibles dans les versions System V ou Solaris.

Interface scripts are not supported for security reasons.

The double meaning of the -E option is an unfortunate historical oddity.

The lpadmin command communicates with the scheduler (cupsd) to make changes to the printing system configuration. This configuration information is stored in several files including printers.conf and classes.conf. These files should not be edited directly and are an implementation detail of CUPS that is subject to change at any time.

EXEMPLE
Créer une file d’impression IPP Everywhere :

    lpadmin -p mon_imprimante -E -v ipp://mon_imprimante.local/ipp/print -m everywhere

VOIR AUSSI
cupsaccept(8), cupsenable(8), lpinfo(8), lpoptions(1), aide en ligne de CUPS <URL:http://localhost:631/help>

COPYRIGHT
Copyright © 2021-2022 by OpenPrinting.